//
//  Contact.m
//  Igor
//
//  Created by Igor on 06/10/15.
//  Copyright © 2015 Igor. All rights reserved.
//


#import "Contact.h"


@implementation Contact

+ (Contact *)contactWithInitials:(NSString *)initials
{
    Contact *me = [Contact new];
    me.initials = initials;
    return me;
}


- (id<NSObject>)diffIdentifier
{
    return self;
}

- (BOOL)isEqualToDiffableObject:(id)object
{
    if ([self isEqual:object])
        return YES;
    
    if ([object isKindOfClass:[Contact class]])
        return [[(Contact*)object initials] isEqualToString:self.initials];
    
    return NO;
}

@end



