//
//  MultiViewController.m
//  RecipientsViewController
//
//  Created by Igor on 25/01/2017.
//  Copyright © 2017 Igor. All rights reserved.
//


#import "Contact.h"
#import "MultiViewController.h"
#import "RecipientsMultiViewController.h"


@interface MultiViewController ()

@end

@implementation MultiViewController
{
    RecipientsMultiViewController *_recipientsViewController;
}

- (void)viewDidLoad {
    [super viewDidLoad];
    
    
    
    _recipientsViewController.contacts = @[
                                           [Contact contactWithInitials:@"IO"],
                                           [Contact contactWithInitials:@"TK"],
                                           [Contact contactWithInitials:@"DS"],
                                           [Contact contactWithInitials:@"MV"],
                                           [Contact contactWithInitials:@"OK"],
                                           [Contact contactWithInitials:@"IB"],
                                           [Contact contactWithInitials:@"IK"],
                                           ];
}


- (IBAction)backButton:(id)sender {
    [self dismissViewControllerAnimated:YES completion:nil];
}


- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    _recipientsViewController = segue.destinationViewController;
}

@end
