//
//  RecipientsViewController.h
//  RecipientsViewController
//
//  Created by Igor Ostriz on 26/01/2017.
//  Copyright © 2017 Igor. All rights reserved.
//


#import <UIKit/UIKit.h>


@class Contact;
@protocol RecipientsViewControllerDelegate;
@interface RecipientsViewController : UIViewController

@property (nonatomic) NSArray<id> *contacts;
@property (nonatomic, weak) id<RecipientsViewControllerDelegate> delegate;

//- (void)addContact:(Contact *)contact;
//- (void)removeContact:(Contact *)contact;
//- (void)highlightNoRecipients;

@end



@protocol RecipientsViewControllerDelegate <NSObject>

- (void)contactsSelector:(RecipientsViewController *)contactsSelector didSelectContact:(Contact *)contact;
@optional
- (void)contactsSelector:(RecipientsViewController *)contactsSelector didAddContact:(Contact *)contact;
- (void)contactsSelector:(RecipientsViewController *)contactsSelector didRemoveContact:(Contact *)contact;
- (void)selectedContactsCountChangedForContactsSelector:(RecipientsViewController *)contactsSelector;

@end
